Bug Hunting Session
Bug 82234 - EDITING: Indent size shouldn't effect the tab stop position values
Summary: EDITING: Indent size shouldn't effect the tab stop position values
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Tab-Stops
  Show dependency treegraph
 
Reported: 2014-08-06 08:22 UTC by Antanas
Modified: 2018-06-13 02:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antanas 2014-08-06 08:22:19 UTC
This is an oldish bug (from the LO project start, maybe older) but I did not found it filed.
How to reproduce: 
format a paragraph with indent before text (left side), add two or more tab stops (remember tab stops position values).

For example –
Indent befor text: 1 cm;
Tabs positions: 3 cm, 5 cm.

(Re)open menu Format>Paragraph>Tabs and alter desired tab position (say 3 cm) options (Type, Fill). Hit OK.

UNexpected result:
Indent befor text: 1 cm;
Tabs positions: 4 cm, 5 cm.

Lets set indent before text to 2 cm.

Result (expected):
Indent befor text: 2 cm;
Tabs positions: 5 cm, 6 cm.

Then alter options of the second tab position (5 cm). 

UNexpected result:
Indent befor text: 2 cm;
Tabs positions: 5 cm, 8 cm.

Conclusion: the value of indent is allways added to edited tab position, when there are two or more tabs stops.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-11 00:03:14 UTC
Hello Antanas,

Thank you for submitting the bug. I can confirm that the bug is available in 4.2.7, 4.3.2, and master.

Steps:
1) Open Writer
2) right-click > Paragraph
3) in indents tab, set indent before text to 1cm
4) in tabs tab, add a tab position at 3cm
5) press OK
6) tab position will be set to 4cm
Comment 2 Antanas 2014-08-11 08:27:54 UTC
Hello Jay,

(In reply to comment #1)
> Hello Antanas,
> 
> Thank you for submitting the bug. I can confirm that the bug is available in
> 4.2.7, 4.3.2, and master.
> 
> Steps:
> 1) Open Writer
> 2) right-click > Paragraph
> 3) in indents tab, set indent before text to 1cm
> 4) in tabs tab, add a tab position at 3cm
> 5) press OK
> 6) tab position will be set to 4cm

You are describing a different case and *may*be* an intended behavoir (there is still 3 cm between paragraph's left side and tab-stop). At least, the 4 cm tab position remains intact after returning editing of tab properties. 

In my original bug description (using two or more tab-stops) tab position moves further *each*time* you are editing tab properties.
Therefore I'm not fully agree with your version of the bug summary.
Comment 3 Yousuf Philips (jay) (retired) 2014-08-11 15:26:18 UTC
(In reply to comment #2)
> Hello Jay,

Hi Antanas,

> You are describing a different case and *may*be* an intended behavoir (there
> is still 3 cm between paragraph's left side and tab-stop). At least, the 4
> cm tab position remains intact after returning editing of tab properties. 

I dont think this should be the intended behaviour as the values set in the tab page should be absolute values and not dependent on the indent value.

> In my original bug description (using two or more tab-stops) tab position
> moves further *each*time* you are editing tab properties.
> Therefore I'm not fully agree with your version of the bug summary.

I can still reproduce your bug with doing it for one tab stop.
Comment 4 Antanas 2014-08-11 16:33:10 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Hello Jay,
> 
> Hi Antanas,
> 
> > You are describing a different case and *may*be* an intended behavoir (there
> > is still 3 cm between paragraph's left side and tab-stop). At least, the 4
> > cm tab position remains intact after returning editing of tab properties. 
> 
> I dont think this should be the intended behaviour as the values set in the
> tab page should be absolute values and not dependent on the indent value.
> 
> > In my original bug description (using two or more tab-stops) tab position
> > moves further *each*time* you are editing tab properties.
> > Therefore I'm not fully agree with your version of the bug summary.
> 
> I can still reproduce your bug with doing it for one tab stop.

Not exactly. If you extend your bug reproduction – open paragraph formatting once again and set e. g. tab fill character to "dot" – the tab position remains as it was before. Is it true?
By having two or more tab positions, the last (right-most) tab position each time increments by value of left indent. 

P.S. I just noticed that if I set paragraph's left indent to arbitrary non-zero value and add two or more tab positions – all in one take, by pressing <OK> one tab position is lost.
Comment 5 Yousuf Philips (jay) (retired) 2014-08-11 20:48:50 UTC
(In reply to comment #4)
> Not exactly. If you extend your bug reproduction – open paragraph formatting
> once again and set e. g. tab fill character to "dot" – the tab position
> remains as it was before. Is it true?
> By having two or more tab positions, the last (right-most) tab position each
> time increments by value of left indent. 

When you open up the dialog again, you have to first select the entry in the position list and then change its properties, or else it is thinking that your modifying the options of a new entry you are going to add.

> P.S. I just noticed that if I set paragraph's left indent to arbitrary
> non-zero value and add two or more tab positions – all in one take, by
> pressing <OK> one tab position is lost.

I had noticed that as well after working on your bug and filed a bug for it (bug 82436). :D
Comment 6 QA Administrators 2015-09-04 02:48:09 UTC Comment hidden (obsolete)
Comment 7 Antanas 2015-09-04 07:17:21 UTC
The bug is still reproducible in LibreOffice 5.0.1.2 00m0(Build:2) using Ubuntu 14.04 LTS 32 bit
Comment 8 QA Administrators 2016-09-20 10:29:11 UTC Comment hidden (obsolete)
Comment 9 Antanas 2016-09-22 09:55:11 UTC
The original bug is still present in LibreOffice 5.2.1.2 20m0(Build:2)
Ubuntu 14.04.5 LTS
and
Ubuntu 16.04.1 LTS
Comment 10 QA Administrators 2018-06-13 02:36:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug